# -*- coding: utf-8 -*-
'''
Triton Add-on
Copyright (C) 2017 Triton

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.
'''

import base64, os, sys, urlparse
from resources.lib.modules import control, trakt

inprogress_db    = control.setting('inprogress_db')
sysaddon         = base64.b64decode('cGx1Z2luOi8vcGx1Z2luLnZpZGVvLnRyaXRvbi8=')
syshandle        = int(sys.argv[1])
artPath          = control.artPath()
addonFanart      = control.addonFanart()
imdbCredentials  = False if control.setting('imdb.user') == '' else True
traktCredentials = trakt.getTraktCredentialsInfo()
traktIndicators  = trakt.getTraktIndicatorsInfo()
queueMenu        = control.lang(32065).encode('utf-8')
movielist1       = control.setting('tmdb.movielist_name1')
movielist2       = control.setting('tmdb.movielist_name2')
movielist3       = control.setting('tmdb.movielist_name3')
movielist4       = control.setting('tmdb.movielist_name4')
movielist5       = control.setting('tmdb.movielist_name5')
movielist6       = control.setting('tmdb.movielist_name6')
movielist7       = control.setting('tmdb.movielist_name7')
movielist8       = control.setting('tmdb.movielist_name8')
movielist9       = control.setting('tmdb.movielist_name9')
movielist10      = control.setting('tmdb.movielist_name10')
tvlist1          = control.setting('tmdb.tvlist_name1')
tvlist2          = control.setting('tmdb.tvlist_name2')
tvlist3          = control.setting('tmdb.tvlist_name3')
tvlist4          = control.setting('tmdb.tvlist_name4')
tvlist5          = control.setting('tmdb.tvlist_name5')
tvlist6          = control.setting('tmdb.tvlist_name6')
tvlist7          = control.setting('tmdb.tvlist_name7')
tvlist8          = control.setting('tmdb.tvlist_name8')
tvlist9          = control.setting('tmdb.tvlist_name9')
tvlist10         = control.setting('tmdb.tvlist_name10')

class navigator:
	def root(self):
		self.addDirectoryItem('Revelations',      'revelationsSoul',       'rev.png',           'rev.jpg')
		self.addDirectoryItem('Boxset Kings',     'boxsetKings',          'bk.png',            'bk.jpg')
		self.addDirectoryItem('The Hit Lists',    'hitLists',             'thl.png',           'thl.jpg')
		self.addDirectoryItem('My Triton',       'lists_navigator',      'icon.png',      'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem(32008,              'toolNavigator',        'tools1.png',         'DefaultAddonProgram.png')
		downloads = True if control.setting('downloads') == 'true' and (len(control.listDir(control.setting('movie.download.path'))[0]) > 0) else False
		if downloads == True:
			self.addDirectoryItem(32009,          'downloadNavigator',    'downloads1.png',     'DefaultFolder.png')
		self.addDirectoryItem(32010,              'searchNavigator',      'search1.png',        'DefaultFolder.png')
		self.addDirectoryItem('Changelog',        'ShowChangelog',        'icon.png',          'DefaultFolder.png')
		self.endDirectory()

	def revelationsSoul(self):
		self.addDirectoryItem(32002,              'tvNavigator',          'tvshows.png',       'DefaultTVShows.png')
		self.addDirectoryItem(32001,              'movieNavigator',       'movies.png',        'DefaultMovies.png')
		self.endDirectory()		
	
	def movies(self, lite=False):
		if inprogress_db == 'true':
			self.addDirectoryItem("In Progress",   'movieProgress',         'trending.png',      'DefaultMovies.png')
		self.addDirectoryItem('New Movies',        'movies&url=premiere',   'trending.png',      'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('In Theaters',       'movies&url=theaters',   'in-theaters.png',   'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Collections',       'collectionsMovies',     'collection.png',    'DefaultMovies.png')
		self.addDirectoryItem('Kids Collections',  'kidsCollections',       'kidscollection.png', 'DefaultMovies.png')
		self.addDirectoryItem('Holiday',           'holidayCollections',    'holidaycollections.png', 'DefaultMovies.png')
		self.addDirectoryItem('Genres',            'movieGenres',           'genres.png',        'DefaultMovies.png')
		self.addDirectoryItem('Years',             'movieYears',            'years.png',         'DefaultMovies.png')
		self.addDirectoryItem('Persons',           'moviePersons',          'people.png',        'DefaultMovies.png')
		self.addDirectoryItem('Certificates',      'movieCertificates',     'certificates.png',  'DefaultMovies.png')
		self.addDirectoryItem(32028,               'moviePerson',           'people-search.png', 'DefaultMovies.png')
		self.addDirectoryItem(32010,               'movieSearch',           'search.png',        'DefaultMovies.png')
		self.endDirectory()

	def lists_navigator(self):
		self.addDirectoryItem('[WATCHLIST] Movies',   'movieFavourites', 'mymovies.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('[WATCHLIST] TV Shows', 'tvFavourites',    'mymovies.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('[TMDB LIST] Movies',   'movielist',       'tmdb.jpg',   'DefaultMovies.png')
		self.addDirectoryItem('[TMDB LIST] Tv Shows', 'tvlist',          'tmdb.jpg', 'DefaultTVShows.png')
		#self.addDirectoryItem('[TRAKT LIST] Movies',   'traktMovies',       'trakt.jpg',   'DefaultMovies.png')
		self.addDirectoryItem('[TRAKT LIST] Tv Shows', 'traktShows',          'trakt.jpg', 'DefaultTVShows.png')
		self.endDirectory()

	def traktMovies(self):
		self.accountCheck()
		if traktCredentials == True:
			self.addDirectoryItem(32032, 'movies&url=traktcollection', 'trakt.jpg', 'DefaultMovies.jpg')
			self.addDirectoryItem(32033, 'movies&url=traktwatchlist', 'trakt.jpg', 'DefaultMovies.jpg')
			self.endDirectory()

	def traktShows(self):
		self.accountCheck()
		if traktCredentials == True:
			self.addDirectoryItem(32032, 'tvshows&url=traktcollection', 'trakt.jpg', 'DefaultTVShows.jpg')
			self.addDirectoryItem(32033, 'tvshows&url=traktwatchlist', 'trakt.jpg', 'DefaultTVShows.jpg')
			self.endDirectory()

			
	def mymovies(self):
		self.addDirectoryItem(movielist1,  'movies&url=mycustomlist1',  'mymovies.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem(movielist2,  'movies&url=mycustomlist2',  'mymovies.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem(movielist3,  'movies&url=mycustomlist3',  'mymovies.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem(movielist4,  'movies&url=mycustomlist4',  'mymovies.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem(movielist5,  'movies&url=mycustomlist5',  'mymovies.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem(movielist6,  'movies&url=mycustomlist6',  'mymovies.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem(movielist7,  'movies&url=mycustomlist7',  'mymovies.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem(movielist8,  'movies&url=mycustomlist8',  'mymovies.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem(movielist9,  'movies&url=mycustomlist9',  'mymovies.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem(movielist10, 'movies&url=mycustomlist10', 'mymovies.png', 'DefaultRecentlyAddedMovies.png')
		self.endDirectory()

	def mytv(self):
		self.addDirectoryItem(tvlist1,  'tvshows&url=mycustomlist1',  'channels.png', 'DefaultTVShows.png')
		self.addDirectoryItem(tvlist2,  'tvshows&url=mycustomlist2',  'channels.png', 'DefaultTVShows.png')
		self.addDirectoryItem(tvlist3,  'tvshows&url=mycustomlist3',  'channels.png', 'DefaultTVShows.png')
		self.addDirectoryItem(tvlist4,  'tvshows&url=mycustomlist4',  'channels.png', 'DefaultTVShows.png')
		self.addDirectoryItem(tvlist5,  'tvshows&url=mycustomlist5',  'channels.png', 'DefaultTVShows.png')
		self.addDirectoryItem(tvlist6,  'tvshows&url=mycustomlist6',  'channels.png', 'DefaultTVShows.png')
		self.addDirectoryItem(tvlist7,  'tvshows&url=mycustomlist7',  'channels.png', 'DefaultTVShows.png')
		self.addDirectoryItem(tvlist8,  'tvshows&url=mycustomlist8',  'channels.png', 'DefaultTVShows.png')
		self.addDirectoryItem(tvlist9,  'tvshows&url=mycustomlist9',  'channels.png', 'DefaultTVShows.png')
		self.addDirectoryItem(tvlist10, 'tvshows&url=mycustomlist10', 'mymovies.png', 'DefaultRecentlyAddedMovies.png')
		self.endDirectory()


	def tvshows(self, lite=False):
		if inprogress_db == 'true': self.addDirectoryItem("In Progress", 'showsProgress', 'trending.png', 'DefaultMovies.png')
		self.addDirectoryItem(32026, 'tvshows&url=premiere', 'years.png', 'DefaultTVShows.png')
		self.addDirectoryItem(32025, 'tvshows&url=active', 'years.png', 'DefaultTVShows.png')
		self.addDirectoryItem('Kids TV', 'kidstvCollections', 'kidscollection.png', 'DefaultMovies.png')
		self.addDirectoryItem('TV Collections', 'tvCollections', 'collection.png', 'DefaultMovies.png')			
		self.addDirectoryItem(32023, 'tvshows&url=rating', 'featured.png', 'DefaultTVShows.png')
		self.addDirectoryItem(32011, 'tvGenres', 'genres.png', 'DefaultTVShows.png')
		self.addDirectoryItem(32016, 'tvNetworks', 'networks.png', 'DefaultTVShows.png')
		self.addDirectoryItem(32010, 'tvSearch', 'search.png', 'DefaultTVShows.png')
		self.endDirectory()

	def hitLists(self):
		self.addDirectoryItem('LMAO', 'movies&url=tmdbpmsl', 'lmao2.png', 'DefaultMovies.png')
		self.addDirectoryItem('Space Wars', 'movies&url=tmdbspace', 'space.png', 'DefaultMovies.png')
		self.addDirectoryItem('Urban Nights', 'movies&url=tmdburban2', 'urban.png', 'DefaultMovies.png')
		self.addDirectoryItem('Gangland', 'movies&url=tmdbgang', 'gang.png', 'DefaultMovies.png')
		self.addDirectoryItem('Everyone Needs A Hero', 'movies&url=tmdbhero2', 'hero2.png', 'DefaultMovies.png')
		self.addDirectoryItem('For The Love Of Money', 'movies&url=tmdbmoney', 'money.png', 'DefaultMovies.png')
		self.addDirectoryItem('Vengeance Is Mine', 'movies&url=tmdbrevenge', 'revenge.png', 'DefaultMovies.png')
		self.addDirectoryItem('Allstar Baseball', 'movies&url=tmdbbaseb', 'baseb.png', 'DefaultMovies.png')
		self.addDirectoryItem('Ball Is Life', 'movies&url=tmdbbball', 'bball.png', 'DefaultMovies.png')
		self.addDirectoryItem('Hockey World', 'movies&url=tmdbhockey', 'hockey.png', 'DefaultMovies.png')
		self.addDirectoryItem('Are You Ready For Some Football', 'movies&url=tmdbnfl', 'nfl.png', 'DefaultMovies.png')
		self.addDirectoryItem('Warzone', 'movies&url=tmdbwar', 'war.png', 'DefaultMovies.png')
		self.addDirectoryItem('Wild Wild West', 'movies&url=tmdbwest', 'west.png', 'DefaultMovies.png')
		self.addDirectoryItem('Rap Nation', 'movies&url=tmdbrap', 'rap.png', 'DefaultMovies.png')
		self.addDirectoryItem('Prison Life', 'movies&url=tmdbprison', 'prison.png', 'DefaultMovies.png')
		self.addDirectoryItem('Feel The Pain', 'movies&url=tmdbboxing', 'boxing.png', 'DefaultMovies.png')
		self.addDirectoryItem('Repsect The Badge', 'movies&url=tmdbbadge', 'badge.png', 'DefaultMovies.png')
		self.addDirectoryItem('Speed Demons', 'movies&url=tmdbspeed', 'speed.png', 'DefaultMovies.png')
		self.addDirectoryItem('Omerta', 'movies&url=tmdbomerta', 'omerta.png', 'DefaultMovies.png')
		self.addDirectoryItem('Special Delvery', 'movies&url=tmdbtrucks', 'trucks.png', 'DefaultMovies.png')
		self.addDirectoryItem('Legalize It', 'movies&url=tmdbpot', 'pot.png', 'DefaultMovies.png')
		self.addDirectoryItem('Not Safe For Kids', 'movies&url=tmdbnsfk', 'nsfk.png', 'DefaultMovies.png')
		self.endDirectory()

	def boxsetKings(self):
		self.addDirectoryItem('Action', 'actionNavigator', 'Action.png', 'DefaultMovies.png')
		self.addDirectoryItem('Adventure', 'adventureNavigator', 'Adventure.png', 'DefaultMovies.png')
		self.addDirectoryItem('Animation', 'animationNavigator', 'Animation.png', 'DefaultMovies.png')
		self.addDirectoryItem('Comedy', 'comedyNavigator', 'Comedy.png', 'DefaultMovies.png')
		self.addDirectoryItem('Crime', 'crimeNavigator', 'Crime.png', 'DefaultMovies.png')
		self.addDirectoryItem('Drama', 'dramaNavigator', 'Drama.png', 'DefaultMovies.png')
		self.addDirectoryItem('Family', 'familyNavigator', 'Family.png', 'DefaultMovies.png')
		self.addDirectoryItem('Fantasy', 'fantasyNavigator', 'Fantasy.png', 'DefaultMovies.png')
		self.addDirectoryItem('Horror', 'horrorNavigator', 'Horror.png', 'DefaultMovies.png')
		self.addDirectoryItem('Mystery', 'mysteryNavigator', 'Mystery.png', 'DefaultMovies.png')
		self.addDirectoryItem('Romance', 'romanceNavigator', 'Romance.png', 'DefaultMovies.png')
		self.addDirectoryItem('Sci-Fi', 'scifiNavigator', 'Sci-fi.png', 'DefaultMovies.png')
		self.addDirectoryItem('Thriller', 'thrillerNavigator', 'Thriller.png', 'DefaultMovies.png')
		self.addDirectoryItem('Western', 'westernNavigator', 'Western.png', 'DefaultMovies.png')
		self.endDirectory()
		
	def tools(self):
		self.addDirectoryItem('[B]URL RESOLVER[/B]: Settings', 'urlresolversettings', 'tools.png', 'DefaultAddonProgram.png')
		self.addDirectoryItem(32043, 'openSettings&query=0.0', 'tools.png', 'DefaultAddonProgram.png')
		self.addDirectoryItem(32045, 'openSettings&query=1.0', 'tools.png', 'DefaultAddonProgram.png')
		self.addDirectoryItem('[B]SETTINGS[/B]: Accounts', 'openSettings&query=2.0', 'tools.png', 'DefaultAddonProgram.png')
		self.addDirectoryItem('[B]SETTINGS[/B]: Providers', 'openSettings&query=3.0', 'tools.png', 'DefaultAddonProgram.png')
		self.addDirectoryItem('[B]SETTINGS[/B]: Downloads', 'openSettings&query=5.0', 'tools.png', 'DefaultAddonProgram.png')
		self.addDirectoryItem('[B]SETTINGS[/B]: Subtitles', 'openSettings&query=6.0', 'tools.png', 'DefaultAddonProgram.png') 
		self.addDirectoryItem('[B]SETTINGS[/B]: Watchlist', 'openSettings&query=7.0', 'tools.png', 'DefaultAddonProgram.png')
		self.addDirectoryItem('[B]SETTINGS[/B]: Lists', 'openSettings&query=8.0', 'tools.png', 'DefaultAddonProgram.png')
		self.addDirectoryItem('[B]Triton[/B]: Views', 'viewsNavigator', 'tools.png', 'DefaultAddonProgram.png')
		self.addDirectoryItem('[B]Triton[/B]: Clear Providers', 'clearSources', 'tools.png', 'DefaultAddonProgram.png')
		self.addDirectoryItem('[B]Triton[/B]: Clear Cache', 'clearCache', 'tools.png', 'DefaultAddonProgram.png')
		self.addDirectoryItem('[B]BACKUP[/B]: Watchlist', 'backupwatchlist', 'tools.png', 'DefaultAddonProgram.png')
		self.addDirectoryItem('[B]RESTORE[/B]: Watchlist', 'restorewatchlist', 'tools.png', 'DefaultAddonProgram.png')
		self.addDirectoryItem('[B]Triton[/B]: Clear Progress Database', 'clearProgress', 'tools.png', 'DefaultAddonProgram.png')
		self.endDirectory()

	def downloads(self):
		movie_downloads = control.setting('movie.download.path')
		if len(control.listDir(movie_downloads)[0]) > 0:
			self.addDirectoryItem(32001, movie_downloads, 'movies.png', 'DefaultMovies.png', isAction=False)
		self.endDirectory()

	def search(self):
		self.addDirectoryItem(32001, 'movieSearch', 'search.png', 'DefaultMovies.png')
		self.addDirectoryItem(32002, 'tvSearch', 'search.png', 'DefaultTVShows.png')
		self.addDirectoryItem(32029, 'moviePerson', 'people-search.png', 'DefaultMovies.png')
		self.endDirectory()

	def views(self):
		try:
			control.idle()
			items = [ (control.lang(32001).encode('utf-8'), 'movies'), (control.lang(32002).encode('utf-8'), 'tvshows'), (control.lang(32054).encode('utf-8'), 'seasons'), (control.lang(32038).encode('utf-8'), 'episodes') ]
			select = control.selectDialog([i[0] for i in items], control.lang(32049).encode('utf-8'))
			if select == -1: return
			content = items[select][1]
			title = control.lang(32059).encode('utf-8')
			url = '%s?action=addView&content=%s' % (sys.argv[0], content)
			poster, banner, fanart = control.addonPoster(), control.addonBanner(), control.addonFanart()
			item = control.item(label=title)
			item.setInfo(type='Video', infoLabels = {'title': title})
			item.setArt({'icon': poster, 'thumb': poster, 'poster': poster, 'tvshow.poster': poster, 'season.poster': poster, 'banner': banner, 'tvshow.banner': banner, 'season.banner': banner})
			item.setProperty('Fanart_Image', fanart)
			control.addItem(handle=int(sys.argv[1]), url=url, listitem=item, isFolder=False)
			control.content(int(sys.argv[1]), content)
			control.directory(int(sys.argv[1]), cacheToDisc=True)
			from resources.lib.modules import cache
			views.setView(content, {})
		except:
			return

	def accountCheck(self):
		if traktCredentials == False:
			control.idle()
			control.infoDialog(control.lang(32042).encode('utf-8'), sound=True, icon='WARNING')
			sys.exit()

	def clearCache(self):
		control.idle()
		yes = control.yesnoDialog(control.lang(32056).encode('utf-8'), '', '')
		if not yes: return
		from resources.lib.modules import cache
		cache.clear()
		control.infoDialog(control.lang(32057).encode('utf-8'), sound=True, icon='INFO')

	def addDirectoryItem(self, name, query, thumb, icon, queue=False, isAction=True, isFolder=True):
		try: name = control.lang(name).encode('utf-8')
		except: pass
		url = '%s?action=%s' % (sysaddon, query) if isAction == True else query
		thumb = os.path.join(artPath, thumb) if not artPath == None else icon
		cm = []
		if queue == True: cm.append((queueMenu, 'RunPlugin(%s?action=queueItem)' % sysaddon))
		item = control.item(label=name)
		item.addContextMenuItems(cm)
		item.setArt({'icon': thumb, 'thumb': thumb})
		if not addonFanart == None: item.setProperty('Fanart_Image', addonFanart)
		control.addItem(handle=syshandle, url=url, listitem=item, isFolder=isFolder)
	
	def collectionsMovies(self):
		self.addDirectoryItem('420', 'movies&url=tmdb420', '420.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Animal Kingdom', 'movies&url=tmdbanimal', 'animalkingdom.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Based On A True Story', 'movies&url=tmdbbased', 'truestories.png', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Datenight', 'movies&url=tmdbdatenight', 'datenight.png', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('DC Universe', 'movies&url=tmdbdc', 'dc.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Fight Club', 'movies&url=tmdbfight', 'fight.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Gamers Paradise', 'movies&url=tmdbgamers', 'gamersparadise.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Girls With Guns', 'movies&url=tmdbgwg', 'gwg.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hack The Planet', 'movies&url=tmdbhack', 'hack.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Heist', 'movies&url=tmdbheist', 'heists.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Immortal', 'movies&url=tmdbimmortal', 'immortal.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Life in The Fast Lane', 'movies&url=tmdbfast', 'fast.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Mafia Hits', 'movies&url=tmdbmafia', 'mob.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Marvel Universe', 'movies&url=tmdbmarvel', 'marvel.png', 'DefaultRecentlyAddedMovies.png')			
		self.addDirectoryItem('Off The Shelf', 'movies&url=tmdbbooks', 'offtheshelf.png', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Out Of This World', 'movies&url=tmdbufo', 'ufo.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Snatched', 'movies&url=tmdbsnatched', 'snatched.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Stand-Up', 'movies&url=tmdbstandup', 'standup.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Streets of The Chi', 'movies&url=tmdbchi', 'chi.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Sports', 'movies&url=tmdbsports', 'sports.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Vigilante Justice', 'movies&url=tmdbvigilante', 'vigilante.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Welcome To The Hood', 'movies&url=tmdburban', 'hood.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('What A Tragedy', 'movies&url=tmdbtragedy', 'tragedy.png', 'DefaultRecentlyAddedMovies.png')
		self.endDirectory()
		
	def kidsCollections(self):
		self.addDirectoryItem('Disney', 'movies&url=tmdbdisney', 'disney.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Dreamworks', 'movies&url=tmdbdreamworks', 'dreamworks.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Lego Collection', 'movies&url=tmdblego', 'lego.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Princesses', 'movies&url=tmdbprincess', 'princess.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Super Heroes', 'movies&url=tmdbhero', 'hero.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Ultimate Kids Collection', 'movies&url=tmdbkidz', 'kidsfav.png', 'DefaultRecentlyAddedMovies.png')		
		self.endDirectory()
		
	def holidayCollections(self):
		self.addDirectoryItem('Christmas', 'movies&url=tmdbchristmas', 'christmas.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Easter', 'movies&url=tmdbeaster', 'easter.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Halloween', 'movies&url=tmdbhalloween', 'halloween.png', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Independence Day', 'movies&url=tmdbfourth', 'fourth.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Thanksgiving', 'movies&url=tmdbthanks', 'thanks.png', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Valentines', 'movies&url=tmdbvalentines', 'valentines.png', 'DefaultRecentlyAddedMovies.png')
		self.endDirectory()
		
	def tvCollections(self):
		self.addDirectoryItem('Blast From The Past', 'tvshows&url=tmdbblast', 'blast.png', 'DefaultTVShows.png')
		self.addDirectoryItem('Blaze It TV', 'tvshows&url=tmdb420tv', '420.png', 'DefaultTVShows.png')
		self.addDirectoryItem('Datenight', 'tvshows&url=tmdbdatenighttv', 'datenight.png', 'DefaultTVShows.png')
		self.addDirectoryItem('Gamers Paradise', 'tvshows&url=tmdbgamers', 'gamersparadise.png', 'DefaultTVShows.png')		
		self.addDirectoryItem('Hungry Yet', 'tvshows&url=tmdbcooking', 'hungry.png', 'DefaultTVShows.png')
		self.addDirectoryItem('Inked N Proud', 'tvshows&url=tmdbtats', 'inked.png', 'DefaultTVShows.png')
		self.addDirectoryItem('LMAO', 'tvshows&url=tmdblmao', 'lmao.PNG', 'DefaultTVShows.png')
		self.addDirectoryItem('Life in The Fast Lane', 'tvshows&url=tmdbfasttv', 'fast.png', 'DefaultTVShows.png')
		self.addDirectoryItem('Out Of This World', 'tvshows&url=tmdbufotv', 'ufo.png', 'DefaultTVShows.png')
		self.addDirectoryItem('Streets of The Chi', 'tvshows&url=tmdbchitv', 'chi.png', 'DefaultTVShows.png')
		self.addDirectoryItem('Sports', 'tvshows&url=tmdbsportstv', 'sports.png', 'DefaultTVShows.png')
		self.endDirectory()
	
	def kidstvCollections(self):
		self.addDirectoryItem('Animation Station', 'tvshows&url=tmdbanimationtv', 'lego.png', 'DefaultTVShows.png')
		self.addDirectoryItem('Back In The Day Cartoons', 'tvshows&url=tmdbcartoon', 'cartoon.png', 'DefaultTVShows.png')
		self.addDirectoryItem('Kids TV', 'tvshows&url=tmdbkids', 'kidsfav.png', 'DefaultTVShows.png')
		self.addDirectoryItem('Lil Ones', 'tvshows&url=tmdblittle', 'lil.png', 'DefaultTVShows.png')
		self.endDirectory()		

	def action(self, lite=False):
		self.addDirectoryItem('12 Rounds', 'movies&url=tmdbrounds', '12.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('3 Ninjas', 'movies&url=tmdb3nin', '3ninjas.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('300', 'movies&url=tmdb300', '300.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Agent Cody Banks', 'movies&url=tmdbagent', 'agent.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('American Ninja', 'movies&url=tmdbamninja', 'amninja.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Avengers', 'movies&url=tmdbavengers', 'avengers.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('AVP', 'movies&url=tmdbavp', 'avp.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Bad Ass', 'movies&url=tmdbbadass', 'badass.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Bad Boys', 'movies&url=tmdbbb', 'bb.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Batman', 'movies&url=tmdbbatman', 'batman.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Best Of The Best', 'movies&url=tmdbbob', 'bob.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Beverly Hills Cop', 'movies&url=tmdbbeverly', 'beverly.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Big Mommas House', 'movies&url=tmdbbig', 'big.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Bloodsport', 'movies&url=tmdbblood', 'blood.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Blues Brother', 'movies&url=tmdbblues', 'blues.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Boondock Saints', 'movies&url=tmdbboon', 'boon.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Bourne', 'movies&url=tmdbbourne', 'bourne.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Bruce Lee', 'movies&url=tmdbbrucelee', 'brucelee.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Captain America', 'movies&url=tmdbcaptain', 'captain.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Cats & Dogs', 'movies&url=tmdbcatsanddogs', 'catsanddogs.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Crank', 'movies&url=tmdbcrank', 'crank.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Crow', 'movies&url=tmdbcrow', 'crow.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Die Hard', 'movies&url=tmdbdie', 'die.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Dirty Harry', 'movies&url=tmdbdirtyh', 'dirtyh.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Fast and Furious', 'movies&url=tmdbfurious', 'furious.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('G.I. Joe', 'movies&url=tmdbgi', 'gi.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Ghost Rider', 'movies&url=tmdbghost', 'ghost.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Ghostbusters', 'movies&url=tmdbghostbusters', 'ghostbusters.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Highlander', 'movies&url=tmdbhighlander', 'highlander.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hollow Man', 'movies&url=tmdbhollow', 'hollow.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hoodwinked!', 'movies&url=tmdbhoodwink', 'hoodwink.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hot Shots', 'movies&url=tmdbhot', 'hot.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('How To Train Your Dragon', 'movies&url=tmdbhow', 'how.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Huntsman', 'movies&url=tmdbhuntsman', 'huntsman.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Independence Day', 'movies&url=tmdbindependence', 'independence.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Indiana Jones', 'movies&url=tmdbindiana', 'indiana.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Inspector Gadget', 'movies&url=tmdbinspector', 'inspector.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Ip Man', 'movies&url=tmdbipman', 'ipman.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Iron Fists', 'movies&url=tmdbironfists', 'ironfists.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Jackass', 'movies&url=tmdbjackass', 'jackass.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('James Bond', 'movies&url=tmdbjames', 'james.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Johnny English', 'movies&url=tmdbjohnny', 'johnny.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Journey', 'movies&url=tmdbjourney', 'journey.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Judge Dredd', 'movies&url=tmdbdredd', 'dredd.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Jump Street', 'movies&url=tmdbjump', 'jump.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Justice League', 'movies&url=tmdbjusticeleague', 'justiceleague.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Karate Kid', 'movies&url=tmdbkarate', 'karate.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Kick-Ass', 'movies&url=tmdbkick', 'kick.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Kickboxer', 'movies&url=tmdbkickboxer', 'kickboxer.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('Kill Bill', 'movies&url=tmdbkill', 'kill.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Kung Fu Panda', 'movies&url=tmdbkung', 'kung.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Lethal Weapon', 'movies&url=tmdblethal', 'lethal.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Machete', 'movies&url=tmdbmachete', 'machete.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Mad Max', 'movies&url=tmdbmadmax', 'madmax.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Matrix', 'movies&url=tmdbmatrix', 'matrix.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Maze Runner', 'movies&url=tmdbmaze', 'maze.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Mechanic', 'movies&url=tmdbmechanic', 'mechanic.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Mission Impossible', 'movies&url=tmdbmission', 'mission.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Mummy', 'movies&url=tmdbmummy', 'mummy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('National Treasure', 'movies&url=tmdbnational', 'national.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Never Back Down', 'movies&url=tmdbnever', 'never.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Ninja', 'movies&url=tmdbninja', 'ninja.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Olympus Has Fallen', 'movies&url=tmdbolympus', 'olympus.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Ong Bak', 'movies&url=tmdbong', 'ong.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Pirates of The Caribbean', 'movies&url=tmdbpirates', 'pirates.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Power Rangers', 'movies&url=tmdbpowerrangers', 'powerrangers.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Predator', 'movies&url=tmdbpredator', 'predator.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('The Protector', 'movies&url=tmdbprotector', 'protector.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Punisher', 'movies&url=tmdbpunisher', 'punisher.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Raid', 'movies&url=tmdbraid', 'raid.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Rambo', 'movies&url=tmdbrambo', 'rambo.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('R.E.D.', 'movies&url=tmdbred', 'red.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Red Cliff', 'movies&url=tmdbredcliff', 'redcliff.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Resident Evil', 'movies&url=tmdbresident', 'resident.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Riddick', 'movies&url=tmdbriddick', 'riddick.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Ride Along', 'movies&url=tmdbride', 'ride.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Robocop', 'movies&url=tmdbrobocop', 'robocop.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Romancing The Stone', 'movies&url=tmdbromancing', 'romancing.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Rush Hour', 'movies&url=tmdbrush', 'rush.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Sherlock Holmes', 'movies&url=tmdbsherlock', 'sherlock.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Smokey and The Bandit', 'movies&url=tmdbsmokey', 'smokey.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Spy Kids', 'movies&url=tmdbspy', 'spy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Star Trek', 'movies&url=tmdbstartrek', 'startrek.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Star Wars', 'movies&url=tmdbstarwars', 'starwars.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Starship Troopers', 'movies&url=tmdbstarship', 'starship.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Taken', 'movies&url=tmdbtaken', 'taken.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Teenage Mutant Ninja Turtles', 'movies&url=tmdbteenage', 'teenage.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Terminator', 'movies&url=tmdbterminator', 'terminator.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Titans', 'movies&url=tmdbtitans', 'titans.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Transformers', 'movies&url=tmdbtransformers', 'transformers.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('Transporter', 'movies&url=tmdbtransporter', 'transporter.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Tron', 'movies&url=tmdbtron', 'tron.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Under Siege', 'movies&url=tmdbunder', 'under.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Underworld', 'movies&url=tmdbunderworld', 'underworld.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Undisputed', 'movies&url=tmdbundisputed', 'undisputed.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Universal Soldier', 'movies&url=tmdbuniversal', 'universal.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('xXx', 'movies&url=tmdbxxx', 'xxx.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Young Guns', 'movies&url=tmdbyoung', 'young.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Zorro', 'movies&url=tmdbzorro', 'zorro.jpg', 'DefaultRecentlyAddedMovies.png')
		self.endDirectory()		

	def adventure(self, lite=False):
		self.addDirectoryItem('101 Dalmations', 'movies&url=tmdbdal', '101.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Agent Cody Banks', 'movies&url=tmdbagent', 'agent.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Aladdin', 'movies&url=tmdbaladdin', 'aladdin.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Alice In Wonderland', 'movies&url=tmdbalice', 'alice.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('American Ninja', 'movies&url=tmdbamninja', 'amninja.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Austin Powers', 'movies&url=tmdbaustin', 'austin.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Back To The Future', 'movies&url=tmdbback', 'back.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Balto', 'movies&url=tmdbbalto', 'balto.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('Batman', 'movies&url=tmdbbatman', 'batman.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Bean', 'movies&url=tmdbbean', 'bean.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Brother Bear', 'movies&url=tmdbbrotherbear', 'brotherbear.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Captain America', 'movies&url=tmdbcaptain', 'captain.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Chronicles of Narnia', 'movies&url=tmdbnarnia', 'narnia.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Cloudy With A Chance of Meatballs', 'movies&url=tmdbcloudy', 'cloudy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Conan', 'movies&url=tmdbconan', 'conan.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Crocodile Dundee', 'movies&url=tmdbcroc', 'croc.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Curious George', 'movies&url=tmdbcurious', 'curious.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Despicable Me', 'movies&url=tmdbdespicable', 'despicable.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Divergent', 'movies&url=tmdbdivergent', 'divergent.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('FernGully', 'movies&url=tmdbferngully', 'ferngully.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Finding Nemo', 'movies&url=tmdbfinding', 'finding.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Fox and The Hound', 'movies&url=tmdbfox', 'fox.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Free Willy', 'movies&url=tmdbfree', 'free.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('G.I. Joe', 'movies&url=tmdbgi', 'gi.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Ghostbusters', 'movies&url=tmdbghostbusters', 'ghostbusters.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('A Goofy Movie', 'movies&url=tmdbgoofy', 'goofy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Harold and Kumar', 'movies&url=tmdbharold', 'harold.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Harry Potter', 'movies&url=tmdbharry', 'harry.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Herbie', 'movies&url=tmdbherbie', 'herbie.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Highlander', 'movies&url=tmdbhighlander', 'highlander.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Hobbit', 'movies&url=tmdbhobbit', 'hobbit.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Homeward Bound', 'movies&url=tmdbhomeward', 'homeward.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Honey I Shrunk The Kids', 'movies&url=tmdbhoney', 'honey.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('How To Train Your Dragon', 'movies&url=tmdbhow', 'how.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hunger Games', 'movies&url=tmdbhunger', 'hunger.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('The Huntsman', 'movies&url=tmdbhuntsman', 'huntsman.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Ice Age', 'movies&url=tmdbiceage', 'iceage.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Independence Day', 'movies&url=tmdbindependence', 'independence.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Indiana Jones', 'movies&url=tmdbindiana', 'indiana.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Inspector Gadget', 'movies&url=tmdbinspector', 'inspector.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('James Bond', 'movies&url=tmdbjames', 'james.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Jaws', 'movies&url=tmdbjaws', 'jaws.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Johnny English', 'movies&url=tmdbjohnny', 'johnny.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Journey', 'movies&url=tmdbjourney', 'journey.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('The Jungle Book', 'movies&url=tmdbjungle', 'jungle.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Jurassic Park', 'movies&url=tmdbjurassic', 'jurassic.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Justice League', 'movies&url=tmdbjusticeleague', 'justiceleague.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Kung Fu Panda', 'movies&url=tmdbkung', 'kung.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Lady and The Tramp', 'movies&url=tmdblady', 'lady.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Land Before Time', 'movies&url=tmdblbt', 'lbt.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Lilo & Stitch', 'movies&url=tmdblilo', 'lilo.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Lion King', 'movies&url=tmdblion', 'lion.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Lord of The Rings', 'movies&url=tmdblord', 'lord.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Mad Max', 'movies&url=tmdbmadmax', 'madmax.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Madagascar', 'movies&url=tmdbmadagascar', 'madagascar.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Men in Black', 'movies&url=tmdbmib', 'mib.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Mission Impossible', 'movies&url=tmdbmission', 'mission.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Monsters INC', 'movies&url=tmdbmonster', 'monster.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Monty Python', 'movies&url=tmdbmonty', 'monty.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Mulan', 'movies&url=tmdbmulan', 'mulan.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Mummy', 'movies&url=tmdbmummy', 'mummy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Muppets', 'movies&url=tmdbmuppets', 'muppets.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('National Treasure', 'movies&url=tmdbnational', 'national.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('The Never Ending Story', 'movies&url=tmdbnes', 'nes.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('New Groove', 'movies&url=tmdbnewgroove', 'newgroove.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Night At The Museum', 'movies&url=tmdbnatm', 'natm.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Nims Island', 'movies&url=tmdbnims', 'nims.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Open Season', 'movies&url=tmdbopen', 'open.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Percy Jackson', 'movies&url=tmdbpercy', 'percy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Peter Pan', 'movies&url=tmdbpeter', 'peter.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Pink Panther', 'movies&url=tmdbpink', 'pink.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Pirates of The Caribbean', 'movies&url=tmdbpirates', 'pirates.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Planes', 'movies&url=tmdbplanes', 'planes.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Planet of The Apes', 'movies&url=tmdbplanet', 'planet.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Pocahontas', 'movies&url=tmdbpoca', 'poca.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Power Rangers', 'movies&url=tmdbpowerrangers', 'powerrangers.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Rambo', 'movies&url=tmdbrambo', 'rambo.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Red Cliff', 'movies&url=tmdbredcliff', 'redcliff.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Riddick', 'movies&url=tmdbriddick', 'riddick.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Rio', 'movies&url=tmdbrio', 'rio.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Romancing The Stone', 'movies&url=tmdbromancing', 'romancing.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Sammys Adventures', 'movies&url=tmdbsammy', 'sammy.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('Sherlock Holmes', 'movies&url=tmdbsherlock', 'sherlock.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Shrek', 'movies&url=tmdbshrek', 'shrek.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Smurfs', 'movies&url=tmdbsmurfs', 'smurfs.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Space Chimps', 'movies&url=tmdbspacechimps', 'spacechimps.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('SpongBob Squarepants', 'movies&url=tmdbspongebob', 'spongebob.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Spy Kids', 'movies&url=tmdbspy', 'spy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Star Trek', 'movies&url=tmdbstartrek', 'startrek.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Star Wars', 'movies&url=tmdbstarwars', 'starwars.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Starship Troopers', 'movies&url=tmdbstarship', 'starship.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Stuart Little', 'movies&url=tmdbstuart', 'stuart.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Tarzan', 'movies&url=tmdbtarzan', 'tarzan.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Teenage Mutant Ninja Turtles', 'movies&url=tmdbteenage', 'teenage.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Tinker Bell', 'movies&url=tmdbtinker', 'tinker.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Titans', 'movies&url=tmdbtitans', 'titans.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Transformers', 'movies&url=tmdbtransformers', 'transformers.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('Tron', 'movies&url=tmdbtron', 'tron.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Weekend at Bernies', 'movies&url=tmdbweekend', 'weekend.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('xXx', 'movies&url=tmdbxxx', 'xxx.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Zorro', 'movies&url=tmdbzorro', 'zorro.jpg', 'DefaultRecentlyAddedMovies.png')
		self.endDirectory()

	def animation(self, lite=False):
		self.addDirectoryItem('101 Dalmations', 'movies&url=tmdbdal', '101.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Aladdin', 'movies&url=tmdbaladdin', 'aladdin.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Alice In Wonderland', 'movies&url=tmdbalice', 'alice.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('All Dogs Go to Heaven', 'movies&url=tmdballdogs', 'alldogs.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Balto', 'movies&url=tmdbbalto', 'balto.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('Bambi', 'movies&url=tmdbbambi', 'bambi.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Beauty and The Beast', 'movies&url=tmdbbeauty', 'beast.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Brother Bear', 'movies&url=tmdbbrotherbear', 'brotherbear.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Cars', 'movies&url=tmdbcars', 'cars.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('Charlottes Web', 'movies&url=tmdbcharlottes', 'charlottes.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Cloudy With A Chance of Meatballs', 'movies&url=tmdbcloudy', 'cloudy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Curious George', 'movies&url=tmdbcurious', 'curious.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Despicable Me', 'movies&url=tmdbdespicable', 'despicable.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Fantasia', 'movies&url=tmdbfantasia', 'fantasia.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('FernGully', 'movies&url=tmdbferngully', 'ferngully.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Finding Nemo', 'movies&url=tmdbfinding', 'finding.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Fox and The Hound', 'movies&url=tmdbfox', 'fox.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Garfield', 'movies&url=tmdbgarfield', 'garfield.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('A Goofy Movie', 'movies&url=tmdbgoofy', 'goofy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Happy Feet', 'movies&url=tmdbhappy', 'happy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hoodwinked!', 'movies&url=tmdbhoodwink', 'hoodwink.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hotel Transylvania', 'movies&url=tmdbhotel', 'hotel.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('How To Train Your Dragon', 'movies&url=tmdbhow', 'how.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hunchback of Notre Dame', 'movies&url=tmdbhunch', 'hunch.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Ice Age', 'movies&url=tmdbiceage', 'iceage.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Justice League', 'movies&url=tmdbjusticeleague', 'justiceleague.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Kung Fu Panda', 'movies&url=tmdbkung', 'kung.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Lady and The Tramp', 'movies&url=tmdblady', 'lady.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Land Before Time', 'movies&url=tmdblbt', 'lbt.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Lego Star Wars', 'movies&url=tmdblegostar', 'legostar.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Lilo & Stitch', 'movies&url=tmdblilo', 'lilo.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Lion King', 'movies&url=tmdblion', 'lion.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Little Mermaid', 'movies&url=tmdbmermaid', 'mermaid.jpg', 'DefaultRecentlyAddedMovies.png')	
		self.addDirectoryItem('Madagascar', 'movies&url=tmdbmadagascar', 'madagascar.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Monsters INC', 'movies&url=tmdbmonster', 'monster.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Mulan', 'movies&url=tmdbmulan', 'mulan.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('New Groove', 'movies&url=tmdbnewgroove', 'newgroove.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Open Season', 'movies&url=tmdbopen', 'open.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Planes', 'movies&url=tmdbplanes', 'planes.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Pocahontas', 'movies&url=tmdbpoca', 'poca.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Reef', 'movies&url=tmdbreef', 'reef.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Rio', 'movies&url=tmdbrio', 'rio.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Sammys Adventures', 'movies&url=tmdbsammy', 'sammy.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('Shrek', 'movies&url=tmdbshrek', 'shrek.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Smurfs', 'movies&url=tmdbsmurfs', 'smurfs.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Space Chimps', 'movies&url=tmdbspacechimps', 'spacechimps.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('SpongBob Squarepants', 'movies&url=tmdbspongebob', 'spongebob.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Tarzan', 'movies&url=tmdbtarzan', 'tarzan.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Thomas & Friends', 'movies&url=tmdbthomas', 'thomas.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Tinker Bell', 'movies&url=tmdbtinker', 'tinker.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Wallace & Gromit', 'movies&url=tmdbwallace', 'wallace.jpg', 'DefaultMovies.png')
		self.endDirectory()		

	def comedy(self, lite=False):
		self.addDirectoryItem('101 Dalmations', 'movies&url=tmdbdal', '101.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('3 Ninjas', 'movies&url=tmdb3nin', '3ninjas.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('A Haunted House', 'movies&url=tmdbhaunted', 'haunted.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Ace Ventura', 'movies&url=tmdbace', 'ace.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Adams Family', 'movies&url=tmdbadams', 'adams.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Agent Cody Banks', 'movies&url=tmdbagent', 'agent.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Aladdin', 'movies&url=tmdbaladdin', 'aladdin.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('All Dogs Go to Heaven', 'movies&url=tmdballdogs', 'alldogs.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('American Pie', 'movies&url=tmdbampie', 'ampie.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Anchorman', 'movies&url=tmdbanchor', 'anchor.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Austin Powers', 'movies&url=tmdbaustin', 'austin.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Babe', 'movies&url=tmdbbabe', 'babe.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Back To The Future', 'movies&url=tmdbback', 'back.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Bad Ass', 'movies&url=tmdbbadass', 'badass.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Bad Boys', 'movies&url=tmdbbb', 'bb.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Bad Neighbors', 'movies&url=tmdbbn', 'bn.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Barbershop', 'movies&url=tmdbbarber', 'barbershop.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Bean', 'movies&url=tmdbbean', 'bean.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Best Exotic Marigold Hotel', 'movies&url=tmdbbestexotic', 'bestexotic.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Beverly Hills Cop', 'movies&url=tmdbbeverly', 'beverly.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Big Mommas House', 'movies&url=tmdbbig', 'big.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Blues Brother', 'movies&url=tmdbblues', 'blues.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Bridget Jones', 'movies&url=tmdbbridget', 'bridget.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Brother Bear', 'movies&url=tmdbbrotherbear', 'brotherbear.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Cars', 'movies&url=tmdbcars', 'cars.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('Casper', 'movies&url=tmdbcasper', 'casper.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Cats & Dogs', 'movies&url=tmdbcatsanddogs', 'catsanddogs.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('City Slickers', 'movies&url=tmdbcity', 'city.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Clerks', 'movies&url=tmdbclerks', 'clerks.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Cloudy With A Chance of Meatballs', 'movies&url=tmdbcloudy', 'cloudy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Crocodile Dundee', 'movies&url=tmdbcroc', 'croc.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Curious George', 'movies&url=tmdbcurious', 'curious.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Daddy Daycare', 'movies&url=tmdbdaddy', 'daddy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Despicable Me', 'movies&url=tmdbdespicable', 'despicable.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Diary of A Wimpy Kid', 'movies&url=tmdbdiary', 'diary.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Doctor Dolittle', 'movies&url=tmdbdolittle', 'dolittle.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Dumb and Dumber', 'movies&url=tmdbdumb', 'dumb.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Finding Nemo', 'movies&url=tmdbfinding', 'finding.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Friday', 'movies&url=tmdbfriday', 'friday.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Garfield', 'movies&url=tmdbgarfield', 'garfield.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Ghostbusters', 'movies&url=tmdbghostbusters', 'ghostbusters.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('A Goofy Movie', 'movies&url=tmdbgoofy', 'goofy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Gremlins', 'movies&url=tmdbgremlins', 'gremlins.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Grown Ups', 'movies&url=tmdbgrown', 'grown.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Grumpy Old Men', 'movies&url=tmdbgrumpy', 'grumpy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Hangover', 'movies&url=tmdbhangover', 'hangover.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('Happy Feet', 'movies&url=tmdbhappy', 'happy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Harold and Kumar', 'movies&url=tmdbharold', 'harold.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Herbie', 'movies&url=tmdbherbie', 'herbie.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Home Alone', 'movies&url=tmdbhome', 'home.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Homeward Bound', 'movies&url=tmdbhomeward', 'homeward.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Honey I Shrunk The Kids', 'movies&url=tmdbhoney', 'honey.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hoodwinked!', 'movies&url=tmdbhoodwink', 'hoodwink.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Horrible Bosses', 'movies&url=tmdbhorrible', 'horrible.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hot Shots', 'movies&url=tmdbhot', 'hot.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Hot Tub Time Machine', 'movies&url=tmdbhotub', 'hottub.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hotel Transylvania', 'movies&url=tmdbhotel', 'hotel.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Ice Age', 'movies&url=tmdbiceage', 'iceage.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Inbetweeners', 'movies&url=tmdbinbetweeners', 'inbetweeners.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Inspector Gadget', 'movies&url=tmdbinspector', 'inspector.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Jackass', 'movies&url=tmdbjackass', 'jackass.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Johnny English', 'movies&url=tmdbjohnny', 'johnny.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Jump Street', 'movies&url=tmdbjump', 'jump.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Kick-Ass', 'movies&url=tmdbkick', 'kick.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Legally Blonde', 'movies&url=tmdblegally', 'legally.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Like Mike', 'movies&url=tmdblikemike', 'likemike.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Lilo & Stitch', 'movies&url=tmdblilo', 'lilo.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Madagascar', 'movies&url=tmdbmadagascar', 'madagascar.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Major League', 'movies&url=tmdbmajor', 'major.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Meet The Parents', 'movies&url=tmdbmeet', 'meet.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Men in Black', 'movies&url=tmdbmib', 'mib.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Mighty Ducks', 'movies&url=tmdbmighty', 'mighty.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('Monsters INC', 'movies&url=tmdbmonster', 'monster.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Monty Python', 'movies&url=tmdbmonty', 'monty.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Muppets', 'movies&url=tmdbmuppets', 'muppets.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('My Big Fat Greek Wedding', 'movies&url=tmdbmbfgw', 'mbfgw.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Naked Gun', 'movies&url=tmdbnaked', 'naked.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('New Groove', 'movies&url=tmdbnewgroove', 'newgroove.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Night At The Museum', 'movies&url=tmdbnatm', 'natm.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Nims Island', 'movies&url=tmdbnims', 'nims.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Open Season', 'movies&url=tmdbopen', 'open.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Pink Panther', 'movies&url=tmdbpink', 'pink.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Pitch Perfect', 'movies&url=tmdbpitch', 'pitch.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Planes', 'movies&url=tmdbplanes', 'planes.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Police Academy', 'movies&url=tmdbpolice', 'police.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Problem Child', 'movies&url=tmdbproblem', 'problem.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('R.E.D.', 'movies&url=tmdbred', 'red.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Ride Along', 'movies&url=tmdbride', 'ride.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Rio', 'movies&url=tmdbrio', 'rio.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Romancing The Stone', 'movies&url=tmdbromancing', 'romancing.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Rush Hour', 'movies&url=tmdbrush', 'rush.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Sandlot', 'movies&url=tmdbsandlot', 'sandlot.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Scary Movie', 'movies&url=tmdbscary', 'scary.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Shrek', 'movies&url=tmdbshrek', 'shrek.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Short Circuit', 'movies&url=tmdbshort', 'short.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Smokey and The Bandit', 'movies&url=tmdbsmokey', 'smokey.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('The Smurfs', 'movies&url=tmdbsmurfs', 'smurfs.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Space Chimps', 'movies&url=tmdbspacechimps', 'spacechimps.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('SpongBob Squarepants', 'movies&url=tmdbspongebob', 'spongebob.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Spy Kids', 'movies&url=tmdbspy', 'spy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Stuart Little', 'movies&url=tmdbstuart', 'stuart.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Ted', 'movies&url=tmdbted', 'ted.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Teenage Mutant Ninja Turtles', 'movies&url=tmdbteenage', 'teenage.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Teen Wolf', 'movies&url=tmdbteen', 'teen.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Tooth Fairy', 'movies&url=tmdbtooth', 'tooth.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Tremors', 'movies&url=tmdbtremors', 'tremors.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Waynes World', 'movies&url=tmdbwayne', 'wayne.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Weekend at Bernies', 'movies&url=tmdbweekend', 'weekend.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Whole Nine Yards', 'movies&url=tmdbwholenine', 'wholenine.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Zoolander', 'movies&url=tmdbzoo', 'zoo.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Zorro', 'movies&url=tmdbzorro', 'zorro.jpg', 'DefaultRecentlyAddedMovies.png')
		self.endDirectory()

	def crime(self, lite=False):
		self.addDirectoryItem('12 Rounds', 'movies&url=tmdbrounds', '12.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Bad Ass', 'movies&url=tmdbbadass', 'badass.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Bad Boys', 'movies&url=tmdbbb', 'bb.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Beverly Hills Cop', 'movies&url=tmdbbeverly', 'beverly.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Big Mommas House', 'movies&url=tmdbbig', 'big.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Blues Brother', 'movies&url=tmdbblues', 'blues.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Boondock Saints', 'movies&url=tmdbboon', 'boon.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Crank', 'movies&url=tmdbcrank', 'crank.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Dirty Harry', 'movies&url=tmdbdirtyh', 'dirtyh.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Dragon Tattoo', 'movies&url=tmdbdragon', 'dragon.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('Fast and Furious', 'movies&url=tmdbfurious', 'furious.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Godfather', 'movies&url=tmdbgodfather', 'godfather.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Green Street Hooligans', 'movies&url=tmdbgreen', 'green.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Hannibal Lecter', 'movies&url=tmdbhannibal', 'hannibal.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Horrible Bosses', 'movies&url=tmdbhorrible', 'horrible.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Infernal Affairs', 'movies&url=tmdbinfernal', 'infernal.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Judge Dredd', 'movies&url=tmdbdredd', 'dredd.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Jump Street', 'movies&url=tmdbjump', 'jump.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Kill Bill', 'movies&url=tmdbkill', 'kill.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Lethal Weapon', 'movies&url=tmdblethal', 'lethal.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Machete', 'movies&url=tmdbmachete', 'machete.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Mechanic', 'movies&url=tmdbmechanic', 'mechanic.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Naked Gun', 'movies&url=tmdbnaked', 'naked.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Ninja', 'movies&url=tmdbninja', 'ninja.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Now You See Me', 'movies&url=tmdbnysm', 'nysm.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Oceans', 'movies&url=tmdboceans', 'oceans.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Once Were Warriors', 'movies&url=tmdbonce', 'once.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Ong Bak', 'movies&url=tmdbong', 'ong.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Pink Panther', 'movies&url=tmdbpink', 'pink.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Protector', 'movies&url=tmdbprotector', 'protector.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Punisher', 'movies&url=tmdbpunisher', 'punisher.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Raid', 'movies&url=tmdbraid', 'raid.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('R.E.D.', 'movies&url=tmdbred', 'red.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Ride Along', 'movies&url=tmdbride', 'ride.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Rise of the Footsoldier', 'movies&url=tmdbrise', 'rise.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Robocop', 'movies&url=tmdbrobocop', 'robocop.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Rush Hour', 'movies&url=tmdbrush', 'rush.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Sherlock Holmes', 'movies&url=tmdbsherlock', 'sherlock.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Sin City', 'movies&url=tmdbsin', 'sin.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Step Up', 'movies&url=tmdbstepup', 'stepup.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Transporter', 'movies&url=tmdbtransporter', 'transporter.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Undisputed', 'movies&url=tmdbundisputed', 'undisputed.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Weekend at Bernies', 'movies&url=tmdbweekend', 'weekend.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Whole Nine Yards', 'movies&url=tmdbwholenine', 'wholenine.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Young Guns', 'movies&url=tmdbyoung', 'young.jpg', 'DefaultRecentlyAddedMovies.png')
		self.endDirectory()

	def drama(self, lite=False):
		self.addDirectoryItem('28 Days Later', 'movies&url=tmdb28days', '28days.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('All Dogs Go to Heaven', 'movies&url=tmdballdogs', 'alldogs.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Babe', 'movies&url=tmdbbabe', 'babe.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Balto', 'movies&url=tmdbbalto', 'balto.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('Bambi', 'movies&url=tmdbbambi', 'bambi.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Barbershop', 'movies&url=tmdbbarber', 'barbershop.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Before', 'movies&url=tmdbbefore', 'before.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Best Exotic Marigold Hotel', 'movies&url=tmdbbestexotic', 'bestexotic.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Best Of The Best', 'movies&url=tmdbbob', 'bob.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Bloodsport', 'movies&url=tmdbblood', 'blood.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Bruce Lee', 'movies&url=tmdbbrucelee', 'brucelee.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Cinderella', 'movies&url=tmdbcinderella', 'cind.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Crow', 'movies&url=tmdbcrow', 'crow.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Cube', 'movies&url=tmdbcube', 'cube.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Dirty Dancing', 'movies&url=tmdbdirtyd', 'dirtyd.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Dolphin Tale', 'movies&url=tmdbdolphin', 'dolphin.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Dragon Tattoo', 'movies&url=tmdbdragon', 'dragon.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('The Fly', 'movies&url=tmdbfly', 'fly.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Fox and The Hound', 'movies&url=tmdbfox', 'fox.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Free Willy', 'movies&url=tmdbfree', 'free.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Friday', 'movies&url=tmdbfriday', 'friday.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Godfather', 'movies&url=tmdbgodfather', 'godfather.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Green Street Hooligans', 'movies&url=tmdbgreen', 'green.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Grumpy Old Men', 'movies&url=tmdbgrumpy', 'grumpy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hannibal Lecter', 'movies&url=tmdbhannibal', 'hannibal.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Homeward Bound', 'movies&url=tmdbhomeward', 'homeward.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hunchback of Notre Dame', 'movies&url=tmdbhunch', 'hunch.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Huntsman', 'movies&url=tmdbhuntsman', 'huntsman.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Infernal Affairs', 'movies&url=tmdbinfernal', 'infernal.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Ip Man', 'movies&url=tmdbipman', 'ipman.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Jaws', 'movies&url=tmdbjaws', 'jaws.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Jungle Book', 'movies&url=tmdbjungle', 'jungle.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Karate Kid', 'movies&url=tmdbkarate', 'karate.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Land Before Time', 'movies&url=tmdblbt', 'lbt.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Lion King', 'movies&url=tmdblion', 'lion.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Lord of The Rings', 'movies&url=tmdblord', 'lord.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Mighty Ducks', 'movies&url=tmdbmighty', 'mighty.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('My Big Fat Greek Wedding', 'movies&url=tmdbmbfgw', 'mbfgw.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Never Back Down', 'movies&url=tmdbnever', 'never.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Never Ending Story', 'movies&url=tmdbnes', 'nes.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Ninja', 'movies&url=tmdbninja', 'ninja.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Nymphomaniac', 'movies&url=tmdbnymph', 'nymph.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Once Were Warriors', 'movies&url=tmdbonce', 'once.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Pocahontas', 'movies&url=tmdbpoca', 'poca.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Punisher', 'movies&url=tmdbpunisher', 'punisher.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Red Cliff', 'movies&url=tmdbredcliff', 'redcliff.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Rise of the Footsoldier', 'movies&url=tmdbrise', 'rise.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Rocky', 'movies&url=tmdbrocky', 'rocky.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Sandlot', 'movies&url=tmdbsandlot', 'sandlot.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Shanghai', 'movies&url=tmdbshanghai', 'shanghai.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Step Up', 'movies&url=tmdbstepup', 'stepup.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Three Colors', 'movies&url=tmdbthree', 'three.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Twilight', 'movies&url=tmdbtwilight', 'twilight.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Undisputed', 'movies&url=tmdbundisputed', 'undisputed.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Woman in Black', 'movies&url=tmdbwoman', 'woman.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Young Guns', 'movies&url=tmdbyoung', 'young.jpg', 'DefaultRecentlyAddedMovies.png')
		self.endDirectory()

	def family(self, lite=False):
		self.addDirectoryItem('3 Ninjas', 'movies&url=tmdb3nin', '3ninjas.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Alice In Wonderland', 'movies&url=tmdbalice', 'alice.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Babe', 'movies&url=tmdbbabe', 'babe.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Bambi', 'movies&url=tmdbbambi', 'bambi.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Bean', 'movies&url=tmdbbean', 'bean.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Beauty and The Beast', 'movies&url=tmdbbeauty', 'beast.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Cars', 'movies&url=tmdbcars', 'cars.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('Casper', 'movies&url=tmdbcasper', 'casper.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Cats & Dogs', 'movies&url=tmdbcatsanddogs', 'catsanddogs.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Charlottes Web', 'movies&url=tmdbcharlottes', 'charlottes.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Chronicles of Narnia', 'movies&url=tmdbnarnia', 'narnia.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Cinderella', 'movies&url=tmdbcinderella', 'cind.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Daddy Daycare', 'movies&url=tmdbdaddy', 'daddy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Diary of A Wimpy Kid', 'movies&url=tmdbdiary', 'diary.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Doctor Dolittle', 'movies&url=tmdbdolittle', 'dolittle.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Dolphin Tale', 'movies&url=tmdbdolphin', 'dolphin.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Fantasia', 'movies&url=tmdbfantasia', 'fantasia.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('FernGully', 'movies&url=tmdbferngully', 'ferngully.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Flintstones', 'movies&url=tmdbflintstones', 'flintstones.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Free Willy', 'movies&url=tmdbfree', 'free.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Garfield', 'movies&url=tmdbgarfield', 'garfield.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Happy Feet', 'movies&url=tmdbhappy', 'happy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Harry Potter', 'movies&url=tmdbharry', 'harry.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Herbie', 'movies&url=tmdbherbie', 'herbie.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Home Alone', 'movies&url=tmdbhome', 'home.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Honey I Shrunk The Kids', 'movies&url=tmdbhoney', 'honey.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hotel Transylvania', 'movies&url=tmdbhotel', 'hotel.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hunchback of Notre Dame', 'movies&url=tmdbhunch', 'hunch.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Journey', 'movies&url=tmdbjourney', 'journey.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('The Jungle Book', 'movies&url=tmdbjungle', 'jungle.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Karate Kid', 'movies&url=tmdbkarate', 'karate.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Lego Star Wars', 'movies&url=tmdblegostar', 'legostar.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Like Mike', 'movies&url=tmdblikemike', 'likemike.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Little Mermaid', 'movies&url=tmdbmermaid', 'mermaid.jpg', 'DefaultRecentlyAddedMovies.png')	
		self.addDirectoryItem('Men in Black', 'movies&url=tmdbmib', 'mib.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Mighty Ducks', 'movies&url=tmdbmighty', 'mighty.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('Mulan', 'movies&url=tmdbmulan', 'mulan.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Muppets', 'movies&url=tmdbmuppets', 'muppets.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('National Treasure', 'movies&url=tmdbnational', 'national.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('The Never Ending Story', 'movies&url=tmdbnes', 'nes.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Night At The Museum', 'movies&url=tmdbnatm', 'natm.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Nims Island', 'movies&url=tmdbnims', 'nims.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Percy Jackson', 'movies&url=tmdbpercy', 'percy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Peter Pan', 'movies&url=tmdbpeter', 'peter.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Power Rangers', 'movies&url=tmdbpowerrangers', 'powerrangers.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Problem Child', 'movies&url=tmdbproblem', 'problem.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Reef', 'movies&url=tmdbreef', 'reef.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Sammys Adventures', 'movies&url=tmdbsammy', 'sammy.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('The Sandlot', 'movies&url=tmdbsandlot', 'sandlot.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Short Circuit', 'movies&url=tmdbshort', 'short.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Stuart Little', 'movies&url=tmdbstuart', 'stuart.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Tarzan', 'movies&url=tmdbtarzan', 'tarzan.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Thomas & Friends', 'movies&url=tmdbthomas', 'thomas.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Tinker Bell', 'movies&url=tmdbtinker', 'tinker.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Tooth Fairy', 'movies&url=tmdbtooth', 'tooth.jpg', 'DefaultRecentlyAddedMovies.png')
		self.endDirectory()

	def fantasy(self, lite=False):
		self.addDirectoryItem('300', 'movies&url=tmdb300', '300.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('A Haunted House', 'movies&url=tmdbhaunted', 'haunted.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Adams Family', 'movies&url=tmdbadams', 'adams.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Beauty and The Beast', 'movies&url=tmdbbeauty', 'beast.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Casper', 'movies&url=tmdbcasper', 'casper.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Chronicles of Narnia', 'movies&url=tmdbnarnia', 'narnia.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Cinderella', 'movies&url=tmdbcinderella', 'cind.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Conan', 'movies&url=tmdbconan', 'conan.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Crow', 'movies&url=tmdbcrow', 'crow.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Doctor Dolittle', 'movies&url=tmdbdolittle', 'dolittle.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Fantasia', 'movies&url=tmdbfantasia', 'fantasia.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Flintstones', 'movies&url=tmdbflintstones', 'flintstones.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Ghost Rider', 'movies&url=tmdbghost', 'ghost.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Gremlins', 'movies&url=tmdbgremlins', 'gremlins.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Harry Potter', 'movies&url=tmdbharry', 'harry.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Highlander', 'movies&url=tmdbhighlander', 'highlander.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Hobbit', 'movies&url=tmdbhobbit', 'hobbit.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Indiana Jones', 'movies&url=tmdbindiana', 'indiana.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Lego Star Wars', 'movies&url=tmdblegostar', 'legostar.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Like Mike', 'movies&url=tmdblikemike', 'likemike.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Little Mermaid', 'movies&url=tmdbmermaid', 'mermaid.jpg', 'DefaultRecentlyAddedMovies.png')	
		self.addDirectoryItem('Lord of The Rings', 'movies&url=tmdblord', 'lord.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Monty Python', 'movies&url=tmdbmonty', 'monty.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Mummy', 'movies&url=tmdbmummy', 'mummy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Percy Jackson', 'movies&url=tmdbpercy', 'percy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Peter Pan', 'movies&url=tmdbpeter', 'peter.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Pirates of The Caribbean', 'movies&url=tmdbpirates', 'pirates.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Poltergeist', 'movies&url=tmdbpolter', 'polter.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Star Wars', 'movies&url=tmdbstarwars', 'starwars.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Ted', 'movies&url=tmdbted', 'ted.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Teen Wolf', 'movies&url=tmdbteen', 'teen.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Titans', 'movies&url=tmdbtitans', 'titans.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Tooth Fairy', 'movies&url=tmdbtooth', 'tooth.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Twilight', 'movies&url=tmdbtwilight', 'twilight.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Underworld', 'movies&url=tmdbunderworld', 'underworld.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Woman in Black', 'movies&url=tmdbwoman', 'woman.jpg', 'DefaultRecentlyAddedMovies.png')
		self.endDirectory()

	def horror(self, lite=False):
		self.addDirectoryItem('28 Days Later', 'movies&url=tmdb28days', '28days.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('A Nightmare on Elm Street', 'movies&url=tmdbelmst', 'nightmare.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Alien', 'movies&url=tmdbalien', 'alien.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('AVP', 'movies&url=tmdbavp', 'avp.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Childs Play', 'movies&url=tmdbchilds', 'childs.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Conjuring', 'movies&url=tmdbconjuring', 'conjuring.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Evil Dead', 'movies&url=tmdbevil', 'evil.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Exorcist', 'movies&url=tmdbexorcist', 'exorcist.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Final Destination', 'movies&url=tmdbfinal', 'final.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Fly', 'movies&url=tmdbfly', 'fly.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Friday The 13th', 'movies&url=tmdbfriday13', 'friday13.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Gremlins', 'movies&url=tmdbgremlins', 'gremlins.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Grudge', 'movies&url=tmdbgrudge', 'grudge.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Halloween', 'movies&url=tmdbhalloween', 'halloween.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hellraiser', 'movies&url=tmdbhell', 'hell.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Hills Have Eyes', 'movies&url=tmdbhills', 'hills.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hollow Man', 'movies&url=tmdbhollow', 'hollow.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hostel', 'movies&url=tmdbhostel', 'hostel.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('The Human Centipede', 'movies&url=tmdbhuman', 'human.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Insidious', 'movies&url=tmdbinsidious', 'insidious.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Last Summer', 'movies&url=tmdblast', 'last.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Omen', 'movies&url=tmdbomen', 'omen.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Paranormal Activity', 'movies&url=tmdbparanormal', 'paranormal.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Poltergeist', 'movies&url=tmdbpolter', 'polter.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Psycho', 'movies&url=tmdbpsycho', 'psycho.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Purge', 'movies&url=tmdbpurge', 'purge.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Quarantine', 'movies&url=tmdbquarantine', 'quarantine.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Resident Evil', 'movies&url=tmdbresident', 'resident.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Ring', 'movies&url=tmdbring', 'ring.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Saw', 'movies&url=tmdbsaw', 'saw.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Scream', 'movies&url=tmdbscream', 'scream.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Texas Chainsaw Massacre', 'movies&url=tmdbtexas', 'texas.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Tremors', 'movies&url=tmdbtremors', 'tremors.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('VHS', 'movies&url=tmdbvhs', 'vhs.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Woman in Black', 'movies&url=tmdbwoman', 'woman.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Wrong Turn', 'movies&url=tmdbwrong', 'wrong.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.endDirectory()

	def mystery(self, lite=False):
		self.addDirectoryItem('The Conjuring', 'movies&url=tmdbconjuring', 'conjuring.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Cube', 'movies&url=tmdbcube', 'cube.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Divergent', 'movies&url=tmdbdivergent', 'divergent.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Dragon Tattoo', 'movies&url=tmdbdragon', 'dragon.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('Friday The 13th', 'movies&url=tmdbfriday13', 'friday13.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Grudge', 'movies&url=tmdbgrudge', 'grudge.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Infernal Affairs', 'movies&url=tmdbinfernal', 'infernal.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Insidious', 'movies&url=tmdbinsidious', 'insidious.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Last Summer', 'movies&url=tmdblast', 'last.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Now You See Me', 'movies&url=tmdbnysm', 'nysm.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Paranormal Activity', 'movies&url=tmdbparanormal', 'paranormal.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Psycho', 'movies&url=tmdbpsycho', 'psycho.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Ring', 'movies&url=tmdbring', 'ring.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Saw', 'movies&url=tmdbsaw', 'saw.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Scream', 'movies&url=tmdbscream', 'scream.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Shanghai', 'movies&url=tmdbshanghai', 'shanghai.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Three Colors', 'movies&url=tmdbthree', 'three.jpg', 'DefaultRecentlyAddedMovies.png')
		self.endDirectory()

	def romance(self, lite=False):
		self.addDirectoryItem('American Ninja', 'movies&url=tmdbamninja', 'amninja.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Before', 'movies&url=tmdbbefore', 'before.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Bridget Jones', 'movies&url=tmdbbridget', 'bridget.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Dirty Dancing', 'movies&url=tmdbdirtyd', 'dirtyd.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Grumpy Old Men', 'movies&url=tmdbgrumpy', 'grumpy.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Legally Blonde', 'movies&url=tmdblegally', 'legally.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Meet The Parents', 'movies&url=tmdbmeet', 'meet.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('My Big Fat Greek Wedding', 'movies&url=tmdbmbfgw', 'mbfgw.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Shanghai', 'movies&url=tmdbshanghai', 'shanghai.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Think Like a Man', 'movies&url=tmdbthink', 'think.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Three Colors', 'movies&url=tmdbthree', 'three.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Twilight', 'movies&url=tmdbtwilight', 'twilight.jpg', 'DefaultRecentlyAddedMovies.png')
		self.endDirectory()

	def scifi(self, lite=False):
		self.addDirectoryItem('28 Days Later', 'movies&url=tmdb28days', '28days.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('Alien', 'movies&url=tmdbalien', 'alien.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Avengers', 'movies&url=tmdbavengers', 'avengers.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('AVP', 'movies&url=tmdbavp', 'avp.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Back To The Future', 'movies&url=tmdbback', 'back.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Butterfly Effect', 'movies&url=tmdbbutterfly', 'butter.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Captain America', 'movies&url=tmdbcaptain', 'captain.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Cocoon', 'movies&url=tmdbcocoon', 'cocoon.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Cube', 'movies&url=tmdbcube', 'cube.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Divergent', 'movies&url=tmdbdivergent', 'divergent.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Fly', 'movies&url=tmdbfly', 'fly.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('G.I. Joe', 'movies&url=tmdbgi', 'gi.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hollow Man', 'movies&url=tmdbhollow', 'hollow.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hot Tub Time Machine', 'movies&url=tmdbhotub', 'hottub.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hunger Games', 'movies&url=tmdbhunger', 'hunger.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('Independence Day', 'movies&url=tmdbindependence', 'independence.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Judge Dredd', 'movies&url=tmdbdredd', 'dredd.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Jurassic Park', 'movies&url=tmdbjurassic', 'jurassic.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Mad Max', 'movies&url=tmdbmadmax', 'madmax.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Matrix', 'movies&url=tmdbmatrix', 'matrix.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Maze Runner', 'movies&url=tmdbmaze', 'maze.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Planet of The Apes', 'movies&url=tmdbplanet', 'planet.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Predator', 'movies&url=tmdbpredator', 'predator.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('The Purge', 'movies&url=tmdbpurge', 'purge.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Quarantine', 'movies&url=tmdbquarantine', 'quarantine.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Resident Evil', 'movies&url=tmdbresident', 'resident.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Riddick', 'movies&url=tmdbriddick', 'riddick.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Robocop', 'movies&url=tmdbrobocop', 'robocop.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Short Circuit', 'movies&url=tmdbshort', 'short.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Star Trek', 'movies&url=tmdbstartrek', 'startrek.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Starship Troopers', 'movies&url=tmdbstarship', 'starship.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Terminator', 'movies&url=tmdbterminator', 'terminator.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Transformers', 'movies&url=tmdbtransformers', 'transformers.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('Tron', 'movies&url=tmdbtron', 'tron.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Universal Soldier', 'movies&url=tmdbuniversal', 'universal.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.endDirectory()

	def thriller(self, lite=False):
		self.addDirectoryItem('12 Rounds', 'movies&url=tmdbrounds', '12.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Boondock Saints', 'movies&url=tmdbboon', 'boon.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Bourne', 'movies&url=tmdbbourne', 'bourne.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('The Butterfly Effect', 'movies&url=tmdbbutterfly', 'butter.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Childs Play', 'movies&url=tmdbchilds', 'childs.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Conjuring', 'movies&url=tmdbconjuring', 'conjuring.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Crank', 'movies&url=tmdbcrank', 'crank.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Die Hard', 'movies&url=tmdbdie', 'die.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Dirty Harry', 'movies&url=tmdbdirtyh', 'dirtyh.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Fast and Furious', 'movies&url=tmdbfurious', 'furious.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Friday The 13th', 'movies&url=tmdbfriday13', 'friday13.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Ghost Rider', 'movies&url=tmdbghost', 'ghost.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Grudge', 'movies&url=tmdbgrudge', 'grudge.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Halloween', 'movies&url=tmdbhalloween', 'halloween.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hannibal Lecter', 'movies&url=tmdbhannibal', 'hannibal.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hellraiser', 'movies&url=tmdbhell', 'hell.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Hills Have Eyes', 'movies&url=tmdbhills', 'hills.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Hunger Games', 'movies&url=tmdbhunger', 'hunger.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('Insidious', 'movies&url=tmdbinsidious', 'insidious.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('James Bond', 'movies&url=tmdbjames', 'james.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Jaws', 'movies&url=tmdbjaws', 'jaws.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Jurassic Park', 'movies&url=tmdbjurassic', 'jurassic.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Kickboxer', 'movies&url=tmdbkickboxer', 'kickboxer.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('Kill Bill', 'movies&url=tmdbkill', 'kill.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Last Summer', 'movies&url=tmdblast', 'last.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Lethal Weapon', 'movies&url=tmdblethal', 'lethal.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Machete', 'movies&url=tmdbmachete', 'machete.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Maze Runner', 'movies&url=tmdbmaze', 'maze.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Mechanic', 'movies&url=tmdbmechanic', 'mechanic.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Mission Impossible', 'movies&url=tmdbmission', 'mission.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Now You See Me', 'movies&url=tmdbnysm', 'nysm.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Oceans', 'movies&url=tmdboceans', 'oceans.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Olympus Has Fallen', 'movies&url=tmdbolympus', 'olympus.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Ong Bak', 'movies&url=tmdbong', 'ong.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Paranormal Activity', 'movies&url=tmdbparanormal', 'paranormal.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Poltergeist', 'movies&url=tmdbpolter', 'polter.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Predator', 'movies&url=tmdbpredator', 'predator.jpg', 'DefaultMovies.png')
		self.addDirectoryItem('The Protector', 'movies&url=tmdbprotector', 'protector.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Psycho', 'movies&url=tmdbpsycho', 'psycho.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Purge', 'movies&url=tmdbpurge', 'purge.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Quarantine', 'movies&url=tmdbquarantine', 'quarantine.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('The Raid', 'movies&url=tmdbraid', 'raid.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Rambo', 'movies&url=tmdbrambo', 'rambo.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Saw', 'movies&url=tmdbsaw', 'saw.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Sin City', 'movies&url=tmdbsin', 'sin.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Taken', 'movies&url=tmdbtaken', 'taken.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('Transporter', 'movies&url=tmdbtransporter', 'transporter.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Under Siege', 'movies&url=tmdbunder', 'under.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Underworld', 'movies&url=tmdbunderworld', 'underworld.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('Universal Soldier', 'movies&url=tmdbuniversal', 'universal.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.addDirectoryItem('VHS', 'movies&url=tmdbvhs', 'vhs.jpg', 'DefaultRecentlyAddedMovies.png')
		self.addDirectoryItem('xXx', 'movies&url=tmdbxxx', 'xxx.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.endDirectory()

	def western(self, lite=False):
		self.addDirectoryItem('The Man With No Name', 'movies&url=tmdbnoman', 'noman.jpg', 'DefaultRecentlyAddedMovies.png')		
		self.endDirectory()
		
	def endDirectory(self):
		# control.do_block_check(False)
		control.directory(syshandle, cacheToDisc=True)

